<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>

    <input type="text" id="nome">
    <input type="text" id="idade">
    <input type="text" id="curso">
    <button onclick="alerta()">ENVIAR</button>

    <script>

        function alerta(){
            var nome = document.getElementById("nome").value;
            var idade = document.getElementById("idade").value;
            var curso = document.getElementById("curso").value;
            alert("Seu nome é " + nome + ", você tem " + idade + " anos, e faz " + curso);
        }

    </script>

</body>
</html>